Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.pf.io
Class DOMSourceImpl

    java.lang.Object
      de.grogra.pf.io.FilterSourceBase
          de.grogra.pf.io.DOMSourceImpl

All Implemented Interfaces:
  DOMSource, FilterSource, RegistryContext

    public class DOMSourceImpl

extends FilterSourceBase
implements DOMSource

Nested Class Summary

Nested classes/interfaces inherited from interface de.grogra.pf.io.FilterSource
`FilterSource.MetaDataKey<V>`

Field Summary

Fields inherited from interface de.grogra.pf.io.FilterSource
`AUTO_PROGRESS, DESTINATION_FILE, DESTINATION_URL`

Constructor Summary
`DOMSourceImpl(org.w3c.dom.Document doc, java.lang.String systemId, IOFlavor flavor, Registry reg, ModifiableMap metaData)`

Method Summary
`org.w3c.dom.Document` | `getDocument()` Returns the data as a DOM document.
`java.lang.String` | `getSystemId()` Returns a system id which identifies this source.

Methods inherited from class de.grogra.pf.io.FilterSourceBase
`getFilter, getFlavor, getMetaData, getRegistry, initProgressMonitor, setMetaData, setProgress, setProgress0, setProgressImpl, toString, useAutoProgress`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface de.grogra.pf.io.FilterSource
`getFilter, getFlavor, getMetaData, initProgressMonitor, setMetaData, setProgress`

Methods inherited from interface de.grogra.pf.registry.RegistryContext
`getRegistry`

Constructor Detail

### DOMSourceImpl

    public DOMSourceImpl(org.w3c.dom.Document doc,
                         java.lang.String systemId,
                         IOFlavor flavor,
                         Registry reg,
                         ModifiableMap metaData)

Method Detail

### getDocument

    public org.w3c.dom.Document getDocument()

  Description copied from interface: `DOMSource`
  Returns the data as a DOM document.

  Specified by:
    `getDocument` in interface `DOMSource`
  Returns:
    the data

### getSystemId

    public java.lang.String getSystemId()

  Description copied from interface: `FilterSource`
  Returns a system id which identifies this source.

  Specified by:
    `getSystemId` in interface `FilterSource`
  Returns:
    system id

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD